Subject: Ticket Assigned - Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 24 May 2022 05:08:28 +0000

Hi Maya Shamma,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Feedback for:  I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? How can I get my refund??? The items I will return... Us already picked the courier yesterday https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4395479